Get Price Record by Currency Code
Returns a Price List Record using the currency code. You can use optional parameters. Notes
- Supports up to 50 simultaneous GET requests. Running more than the allowed number of requests concurrently on the same store will result in a
429status error, and your additional requests will fail.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
price_list_id
The ID of the Price List requested.
variant_id
ID of the variant on a product, or on an associated Price List Record.
currency_code
The currency code associated with the price record being acted upon.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
include
Sub-resources to include on a price record, in a comma-separated list. Valid expansions currently include bulk_pricing_tiers and sku. Other values will be ignored.
Allowed values:
Response
OK
data
The Price Record object.
meta
Response metadata.
Errors
429
Too Many Requests Error